#
# spec file for package namazu (Version 2.0.12)
#
# Copyright (c) 2004 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  chasen kakasi kakasi-devel kakasi-dict nkf perl perl-File-MMagic perl-NKF perl-Text-ChaSen perl-Text-Kakasi

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils chasen gcc gdbm gettext kakasi kakasi-devel kakasi-dict libtool nkf perl perl-File-MMagic perl-NKF perl-Text-ChaSen perl-Text-Kakasi rpm

Name:         namazu
License:      GPL
Group:        Productivity/Networking/Web/Utilities
Requires:     perl >= 5.6.0, perl-File-MMagic >= 1.12, nkf >= 1.70, perl-NKF >= 1.70
Requires:     kakasi >= 2.3.0, perl-Text-Kakasi >= 1.00
Autoreqprov:  on
Version:      2.0.12
Release:      169.2
URL:          http://www.namazu.org/
# Original Source is gzipped. 
Source0:      http://www.namazu.org/stable/%{name}-%{version}.tar.bz2
Patch0:       namazu-2.0.7-linguas.patch
Patch1:       namazu-2.0.6-newgettext3.patch
Patch2:       namazu-2.0.10-config.patch
Patch3:       namazu-2.0.12-de.diff
Patch4:       namazu-2.0.13-security.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      A full-text search engine
#Summary(ja): 全文検索シス テムです。
# %description -l ja
# Namazu は手軽に使えることを第一に目指した日本語全文検索シ
# ステムです。CGI として動作させることにより小中規模の WWW 
# 全文検索システムを構築することができるほか、コマンドライ
# ンやEmacs上で電子メイルの山を検索するといった個人用途にも
# 使えます。
# 
# Authors:
# --------
#     Satoru Takabayashi <satoru@namazu.org>
#     knok@daionet.gr.jp (NOKUBI Takatsugu)
#     Yukinori MAEDA <yuki@myu.org>
#     Ken-ichi Hirose <kenzo-@tama.or.jp>
#     masao@ulis.ac.jp (Masao Takaku)
#     Ryuji Abe <raeva@t3.rim.or.jp>
#     Hajime BABA <baba@kusastro.kyoto-u.ac.jp>
#     KOSEKI Yoshinori <kose@wizard.tamra.co.jp>
#     Rei FURUKAWA <furukawa@tcp-ip.or.jp>
#     Makoto Fujiwara <makoto@ki.nu>
#     Kenji Suzuki <kenji@po.ganseki.ne.jp>
#     MIYOSHI Masanori <miyoshi@ask.ne.jp>
#     Hideyuki SHIRAI  <shirai@rdmg.mgcs.mei.co.jp>
#     Jose Juan Zapater Vera <compi@arrakis.es>
#     Yoshinori TAKESAKO <takesako@robotics.im.hiroshima-cu.ac.jp>
#     SATOH Fumiyasu <fumiya@samba.gr.jp>

%description
Namazu is a full-text search engine software intended for easy use. It
works not only as a CGI program for small or medium scale WWW search
engines, but also works for personal use such as a search system for
the local hard disk.



Authors:
--------
    Satoru Takabayashi <satoru@namazu.org>
    knok@daionet.gr.jp (NOKUBI Takatsugu)
    Yukinori MAEDA <yuki@myu.org>
    Ken-ichi Hirose <kenzo-@tama.or.jp>
    masao@ulis.ac.jp (Masao Takaku)
    Ryuji Abe <raeva@t3.rim.or.jp>
    Hajime BABA <baba@kusastro.kyoto-u.ac.jp>
    KOSEKI Yoshinori <kose@wizard.tamra.co.jp>
    Rei FURUKAWA <furukawa@tcp-ip.or.jp>
    Makoto Fujiwara <makoto@ki.nu>
    Kenji Suzuki <kenji@po.ganseki.ne.jp>
    MIYOSHI Masanori <miyoshi@ask.ne.jp>
    Hideyuki SHIRAI  <shirai@rdmg.mgcs.mei.co.jp>
    Jose Juan Zapater Vera <compi@arrakis.es>
    Yoshinori TAKESAKO <takesako@robotics.im.hiroshima-cu.ac.jp>
    SATOH Fumiyasu <fumiya@samba.gr.jp>

%package -n namazu-devel
Summary:      header files and libraries of Namazu
# Summary(ja): Namazu のヘッダファイル及びライブラリです。
Group:        Productivity/Networking/Web/Utilities
Requires:     %{name} = %{version}
# %description -n namazu-devel -l ja
# Namazuのヘッダファイル及びライブラリです。

%description -n namazu-devel
header files and libraries of Namazu



Authors:
--------
    Satoru Takabayashi <satoru@namazu.org>
    knok@daionet.gr.jp (NOKUBI Takatsugu)
    Yukinori MAEDA <yuki@myu.org>
    Ken-ichi Hirose <kenzo-@tama.or.jp>
    masao@ulis.ac.jp (Masao Takaku)
    Ryuji Abe <raeva@t3.rim.or.jp>
    Hajime BABA <baba@kusastro.kyoto-u.ac.jp>
    KOSEKI Yoshinori <kose@wizard.tamra.co.jp>
    Rei FURUKAWA <furukawa@tcp-ip.or.jp>
    Makoto Fujiwara <makoto@ki.nu>
    Kenji Suzuki <kenji@po.ganseki.ne.jp>
    MIYOSHI Masanori <miyoshi@ask.ne.jp>
    Hideyuki SHIRAI  <shirai@rdmg.mgcs.mei.co.jp>
    Jose Juan Zapater Vera <compi@arrakis.es>
    Yoshinori TAKESAKO <takesako@robotics.im.hiroshima-cu.ac.jp>
    SATOH Fumiyasu <fumiya@samba.gr.jp>

%package -n namazu-cgi
Summary:      a CGI interface for Namazu
# Summary(ja): Namazu のためのCGIインタフェース
Group:        Productivity/Networking/Web/Utilities
# Requires: webserver
# %description -n namazu-cgi -l ja
# Namazu のためのCGIインタフェース

%description -n namazu-cgi
a CGI interface for Namazu



Authors:
--------
    Satoru Takabayashi <satoru@namazu.org>
    knok@daionet.gr.jp (NOKUBI Takatsugu)
    Yukinori MAEDA <yuki@myu.org>
    Ken-ichi Hirose <kenzo-@tama.or.jp>
    masao@ulis.ac.jp (Masao Takaku)
    Ryuji Abe <raeva@t3.rim.or.jp>
    Hajime BABA <baba@kusastro.kyoto-u.ac.jp>
    KOSEKI Yoshinori <kose@wizard.tamra.co.jp>
    Rei FURUKAWA <furukawa@tcp-ip.or.jp>
    Makoto Fujiwara <makoto@ki.nu>
    Kenji Suzuki <kenji@po.ganseki.ne.jp>
    MIYOSHI Masanori <miyoshi@ask.ne.jp>
    Hideyuki SHIRAI  <shirai@rdmg.mgcs.mei.co.jp>
    Jose Juan Zapater Vera <compi@arrakis.es>
    Yoshinori TAKESAKO <takesako@robotics.im.hiroshima-cu.ac.jp>
    SATOH Fumiyasu <fumiya@samba.gr.jp>

%prep
%setup0
%patch0 -p1 -b .linguas
%patch1 -p1 -b .newgettext
%patch2 -p1 -b .config
%patch3 -p1 -b .de
%patch4 -p1

%build
# XXX is this right - it was /var/lib before FHS macros
%define _localstatedir	/var/lib
%define _libexecdir	/srv/www/cgi-bin
autoreconf --force --install
test -f po/Makevars || mv po/Makevars.template po/Makevars
export CFLAGS="$RPM_OPT_FLAGS" 
./configure --prefix=%{_prefix} \
	    --datadir=%{_datadir} \
	    --sysconfdir=%{_sysconfdir} \
	    --localstatedir=%{_localstatedir} \
	    --libexecdir=%{_libexecdir} \
            --mandir=%{_mandir} \
	    --infodir=%{_infodir} \
	    --with-perl5=/usr/bin/perl \
            %{_target_cpu}-suse-linux-gnu
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/namazu \
         $RPM_BUILD_ROOT/%{_libexecdir}
make DESTDIR=$RPM_BUILD_ROOT libdir=%{_libdir} install
mv %{buildroot}%{_sysconfdir}/namazu/namazurc-sample \
        %{buildroot}%{_sysconfdir}/namazu/namazurc
mv %{buildroot}%{_sysconfdir}/namazu/mknmzrc-sample \
	%{buildroot}%{_sysconfdir}/namazu/mknmzrc
chmod a+rw -R %{buildroot}%{_localstatedir}/namazu
chmod a+rw -R %{buildroot}%{_localstatedir}/namazu/index
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/namazu/
pushd $RPM_BUILD_ROOT/%{_defaultdocdir}/namazu/
    ln -s %{_datadir}/namazu/doc .
    ln -s %{_datadir}/namazu/etc .
popd
# install (X)Emacs lisp code:
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
install -p -m 644 lisp/gnus-nmz-1.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
install -p -m 644 lisp/namazu.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
mkdir -p $RPM_BUILD_ROOT/usr/share/xemacs/site-lisp/lisp
install -p -m 644 lisp/gnus-nmz-1.el $RPM_BUILD_ROOT/usr/share/xemacs/site-lisp/lisp
install -p -m 644 lisp/namazu.el $RPM_BUILD_ROOT/usr/share/xemacs/site-lisp/lisp
%{find_lang} namazu

%clean
rm -rf $RPM_BUILD_ROOT;

%files -f namazu.lang
%defattr(-, root, root)
%doc %dir %{_defaultdocdir}/namazu/
%doc %{_defaultdocdir}/namazu/*
%dir %{_sysconfdir}/namazu/
%config(noreplace) %{_sysconfdir}/namazu/*
%{_bindir}/namazu
%{_bindir}/bnamazu
%{_bindir}/*nmz
%{_bindir}/mailutime
%{_bindir}/nmzgrep
%{_bindir}/nmzmerge
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_datadir}/namazu
%attr(755,root,root) %dir %{_localstatedir}/namazu
%attr(755,root,root) %dir %{_localstatedir}/namazu/index
%dir /usr/share/emacs/
%dir /usr/share/emacs/site-lisp/
/usr/share/emacs/site-lisp/*
%dir /usr/share/xemacs/
%dir /usr/share/xemacs/site-lisp/
%dir /usr/share/xemacs/site-lisp/lisp/
/usr/share/xemacs/site-lisp/lisp/*

%files devel
%defattr(-, root, root)
%{_bindir}/nmz-config
%dir %{_includedir}/namazu/
%{_includedir}/namazu/*.h
%{_libdir}/*.so
%{_libdir}/*a

%files cgi
%defattr(-, root, root)
%{_libexecdir}/namazu.cgi

%changelog -n namazu
* Mon Dec 20 2004 - mfabian@suse.de
- Bugzilla #49304: add patch to fix cross site scripting
  vulnerability. Patch is extracted from the diff between
  namazu 2.0.13 and 2.0.14.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Jun 19 2003 - ro@suse.de
- build with current gettext
* Mon Jun 16 2003 - mfabian@suse.de
- add patch for German template files from
  http://www.namazu.org/stable/namazu-2.0.12-de.diff
- fix "directory not owned by any package".
* Sun Feb 16 2003 - mfabian@suse.de
- update to 2.0.12
  From the NEWS file of 2.0.12
  * Fix more cross-site scripting issue around NMZ.warnlog.
  From the NEWS file of 2.0.11
  * Change output warning to NMZ.warnlog file instead stderr
  (for cross-site scripting issue on some environments)
  * Update some filters.
  * Fix possibility of buffer overflow.
  * Fix shell execution issue on rpm/deb files.
  * Adaptation to xpdf 1.0x (filter/pdf.pl).
  * Fix possibility of relative path vulnerability on Win95/98.
  * Improve HTML filter (exclude scripting language code).
  * Add German template files.
* Mon Nov 18 2002 - schwab@suse.de
- Add AM_GNU_GETTEXT_VERSION.
* Sat Aug 10 2002 - mfabian@suse.de
- namazu-devel package should require namazu package
- fix directory permissions
* Mon Aug 05 2002 - ro@suse.de
- adapt to server-root /srv/www
* Fri May 17 2002 - schwab@suse.de
- Fix use of autoreconf.
* Tue Apr 23 2002 - mfabian@suse.de
- fix for x86_64
* Mon Apr 08 2002 - mfabian@suse.de
- use autoreconf
* Mon Apr 08 2002 - mfabian@suse.de
- make it build again with new gettext 0.11
* Fri Jan 04 2002 - tiwai@suse.de
- updated to version 2.0.10.
  (security fix release since 2.0.7)
- gettextized & libtoolized.
* Thu Nov 01 2001 - mfabian@suse.de
- new package: namazu-2.0.7
